/* 
BUILDER TO-DO: Replace Microsoft Office Accounting Professional 2007 with the full legal application name, e.g. "Microsoft Office Word 2007"
BUILDER TO-DO: Replace 9780735624207 with the 13-digit ISBN (excluding hyphens), e.g. "9780735622033"
*/

var productName = "Microsoft Office Accounting Professional 2007";
var ISBN = "9780735624207";


function SetSubheader(page)
{
	var subheaderText;
	switch(page)
	{
		case "Welcome":
			subheaderText= "Welcome to the " + productName + " Step by Step companion CD.";
		break;
		case "Additional eBooks":
			subheaderText= "View and explore free eBooks defining computer terms and explaining features and enhancements of new products.";
		break;
		default:
			alert("A subheader with an invalid ID of " + page + " was encountered. Please fix this prior to release.");
	}
	var subheader = document.getElementById("subheader");
	subheader.innerText = subheaderText;
}

	
function SetTitle()
{
	newTitle = parent.productName + " - " + seriesTitle;
	document.title = newTitle;
}
		
function SetExtendingTab()
{
		
}

function OpenExternalLink(href)
{
	var properties = "status=yes, toolbar=yes, location=yes, menubar=yes, resizable=yes, scrollbars=yes, title=yes";
	window.open(href, "IOPupup", properties);
}
	
function explorer(dir)
{
	try
	{
		var ws = new ActiveXObject("WScript.Shell");
		ws.Run("explorer " + dir);
	}
	catch(exc)
	{
		var msg = "An error occured while trying to browse the CD contents. Please perform this task manually.";
		alert(msg);
		return;
	}
}

		
function SearchEBookPDF(eBookName)
{
	var ws, currentDir, searchPhrase, cmd, msg, textBox;
	try 
	{
		ws = new ActiveXObject("WScript.Shell");
	}
	catch(exc)
	{
		msg = "An error occurred while trying to search the eBook. Please open the eBook and search the content manually.";
		alert(msg);
		return;
	}
	
	currentDir = ws.CurrentDirectory;			
	textBox = document.getElementById("searchText");
	searchPhrase = textBox.value;					
	if (searchPhrase == "")
	{
		alert("Please enter a search phrase");
		return;
	}
	
	cmd = 'Acrobat /A "search=' + searchPhrase + '"' + ' '  + currentDir + "\\eBook\\" + eBookName;
	try
	{
		ws.Run(cmd);
	}
	catch(exc)
	{
		cmd = 'AcroRd32 /A "search=' + searchPhrase + '"' + ' '  + currentDir + "\\eBook\\" + eBookName;
		try
		{
			ws.Run(cmd);
		}
		catch(exc)
		{
		msg = "An error occurred while trying to search the eBook. Please open the eBook and search the content manually.";
		alert(msg);
		}
	}	
}
	
function SetInnerWindowSize(width, height) 
{
	if (window.innerHeight != null)
	{
		window.innerWidth = width;
		window.innerHeight = height;
	}
	else
	{
		var innerWidth, innerHeight;
		if (document && document.documentElement && document.documentElement.clientWidth)
		{
			innerWidth = document.documentElement.clientWidth;
			innerHeight = document.documentElement.clientHeight;		
		}
		else if (document && document.body && document.body.clientHeight)
		{
			innerWidth = document.body.clientWidth;
			innerHeight = document.body.clientHeight;
		}
		else
		{
			return;
		}
		var widthDelta = width - innerWidth;
		var heightDelta = height - innerHeight;
		if (widthDelta > 5 || heightDelta > 5 || widthDelta < 0 || heightDelta < 0)
		{
			window.resizeBy(widthDelta, heightDelta);
			var newInnerWidth = document.documentElement.clientWidth;
			var newInnerHeight = document.documentElement.clientHeight;
		}
	}
}
		
function SetTitle()
{
	newTitle = parent.productName + " Step by Step";
	document.title = newTitle;
}

function FP_swapImg() 
{
	var doc=document;
	var args=arguments;
	var elm, n;
		
	doc.$imgSwaps=new Array(); 
	for(n=2; n<args.length; n+=2) 
	{ 
		elm=FP_getObjectByID(args[n]);
		if(elm) {
			doc.$imgSwaps[doc.$imgSwaps.length]=elm; 
			elm.$src=elm.src; 
			elm.src=args[n+1]; 
		} 
	}
}
	
function FP_preloadImgs()
{
	var d=document;
	var a=arguments; 
	if(!d.FP_imgs) 
		d.FP_imgs=new Array();
	for(var i=0; i<a.length; i++) 
	{ 
		d.FP_imgs[i]=new Image; 
		d.FP_imgs[i].src=a[i]; 
	}
}
	
function FP_getObjectByID(id, o) {
	var c, el, els, f, m, n; 
	if(!o)
		o=document; 
	if(o.getElementById) 
		el=o.getElementById(id);
	else if(o.layers) 
		c=o.layers; 
	else if(o.all) 
		el=o.all[id]; 
	if(el) 
		return el;
 	if(o.id==id || o.name==id) 
 		return o; 
 	if(o.childNodes)
 		c=o.childNodes; 
 	if(c)
 	{
 		for(n=0; n<c.length; n++) 
 		{ 
 			el=FP_getObjectByID(id,c[n]);
 			if(el) 
 				return el; 
 		}
 	}
	f=o.forms; 
	if(f)
	{ 
		for(n=0; n<f.length; n++) 
		{ 
			els=f[n].elements; 
			for(m=0; m<els.length; m++)
			{ 
				el=FP_getObjectByID(id,els[n]);
				if(el) return el; 
			} 
		}
	}
	return null;
}
